<?php
function conectar()
{
    $Hostname = "db"; // Nombre del contenedor en Docker Compose
    $Usuario = "root";
    $Password = "15103106";
    $BD = "Lenguaje2025"; //cambiar también esta parte
    $Port = 3306; // Puerto interno del contenedor MySQL

    $Con = mysqli_connect($Hostname, $Usuario, $Password, $BD, $Port);

    if (!$Con) {
        die("Error en la conexión: " . mysqli_connect_error());
    }

    // Establecer el set de caracteres como UTF-8
    mysqli_set_charset($Con, "utf8");

    return $Con;
}

function Ejecutar($Con, $SQL)
{
    $Result = mysqli_query($Con, $SQL) or die(mysqli_error($Con));
    return $Result;
}

function Procesar() {}

function Cerrar($Con)
{
    mysqli_close($Con);
}
